<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwCoolingAndVentilation</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwCoolingAndVentilation</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>This component allows to parser a SCY file to create the areas and loops
        for a Cooling and Ventilation system. </p>
      <p>It makes possible to configure
            these devices and manage Synoptics Bitmap instances and
        widgets.</p>
      <p>After installing the component is necessary to have an SCY file to
        create the structure that this file contains, and then to use the panel
        fwCaVScyParser.pnl to generate the data in PVSS. The user can get
        this panel selecting the CaV node in the Editor &amp; Navigator and in
        the Editor mode clicking over the <strong>Advanced options</strong> button.</p>
      <p>When the file is imported and when the user click over the button <strong>Commit
        changes</strong>, all data are generated and the Poll Group and the ModBus
        Driver are configured. The Poll Group is configured with a Poll time
        by default        (10000 ms), this value can be changed manually in the
        System Management.<br>
      </p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">fwCore<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <!--DWLayoutTable-->
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td width="610"
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Provide information about alarm/warning bit.<br>
      </td>
      <td width="610" colspan="1" style="width: 50%;"><a
 href="panels/fwCaV/fwCaVAlarmBitDetails.html">fwCaVAlarmBitDetails.pnl</a>      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Configure advanced setting of the cooling plant/loop.</td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwCaV/fwCaVControlActions.html">fwCaVControlActions.pnl</a>      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Provide information about the cooling group
        (area).</td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwCaV/fwCaVGroupOperation.html">fwCaVGroupOperation.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Provide information about the cooling
      loop.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVLoopOperation.html">fwCaVLoopOperation.pnl</a>      </td>
    </tr>
	<tr>
      <td style="vertical-align: top;">Configure the Access Control for the plant.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVPlantAccessControl.html">fwCaVPlantAccessControl.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Provide information about the alarm (or
        warning) words.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVPlantAlarmDetails.html">fwCaVPlantAlarmDetails.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Provide information about the cooling
        plant.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVPlantOperation.html">fwCaVPlantOperation.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure all plant (groups or loops)
      specific parameters.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVPlantSettings.html">fwCaVPlantSettings.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Generate the metadata and data
      in the PVSS from a SCY file.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVScyParser.html">fwCaVScyParser.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the Synoptics Bitmap instance<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVSynopticsBitmapNewPanel.html">fwCaVSynopticsBitmapNewPanel.pnl</a>      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Manage Synoptics Bitmap instances and
        widgets.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVSynopticsBitmapPanelConfigurator.html">fwCaVSynopticsBitmapPanelConfigurator.pnl</a>      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure additional parameters
      for certain widget types.</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVSynopticsBitmapPanelConfiguratorAdditionalParameters.html">fwCaVSynopticsBitmapPanelConfiguratorAdditionalParameters.pnl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Manage the Synoptics Bitmap Widget Types.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVSynopticsBitmapWidgetConfigurator.html">fwCaVSynopticsBitmapWidgetConfigurator.pnl</a>      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Configure the additional
      parameters of the given Widget Type</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVSynopticsBitmapWidgetConfiguratorAdditionalParameters.html">fwCaVSynopticsBitmapWidgetConfiguratorAdditionalParameters.pnl</a></td>
    </tr>
	<tr>
      <td style="vertical-align: top;">Configure a trending page</td>
      <td style="vertical-align: top;"><a
 href="panels/fwCaV/fwCaVTrendingPage.html">fwCaVTrendingPage.pnl</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Global help with all functions
in the component library<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/globals.html">All functions in fwCaV</a><br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
